Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultPricingUnitType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultPricingUnitType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultPricingUnitType extends Object implements Serializable

Java class for ConsultPricingUnitType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultPricingUnitType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="Label" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultPricingUnitType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getLabel()`
  Gets the value of the label property.
  `BigDecimal`
  `getQuantity()`
  Gets the value of the quantity property.
  `void`
  `setLabel(ConsultTextType value)`
  Sets the value of the label property.
  `void`
  `setQuantity(BigDecimal value)`
  Sets the value of the quantity property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultPricingUnitType

    public ConsultPricingUnitType()

- ## Method Details

  - ### getQuantity

    public BigDecimal getQuantity()
    Gets the value of the quantity property.
    Returns:
      possible object is `BigDecimal`

  - ### setQuantity

    public void setQuantity(BigDecimal value)
    Sets the value of the quantity property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getLabel

    public ConsultTextType getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `ConsultTextType`

  - ### setLabel

    public void setLabel(ConsultTextType value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `ConsultTextType`